Bug 221400 - log "/etc/init.d/autofs reload" invocations to the system log
log "/etc/init.d/autofs reload" invocations to the system log
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 09:42 EST by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0734
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:02:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log autofs reload attempts (493 bytes, patch)
2007-01-16 19:53 EST, Jeffrey Moyer
no flags Details | Diff
Updated patch (390 bytes, patch)
2007-07-12 18:39 EDT, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Jeffrey Moyer 2007-01-04 09:42:24 EST
Description of problem:
Initial request taken from an email from Wengang Wang:

Some users like to see information in syslog when autofs reloads.
Till RedHat 4 update 4 with autofs version being 4.1.3-187, there are 
logging action for "start", "stop" and "restart", Can we add logging 
feature for "reload" too in new update versions?
Comment 1 Jeffrey Moyer 2007-01-10 13:28:29 EST
This should be easy to implement and test, and is a reasonable request.
Comment 2 Jeffrey Moyer 2007-01-16 19:53:56 EST
Created attachment 145762 [details]
Log autofs reload attempts

This patch is included in autofs versions 4.1.3-103 and later, and is likely
destined for RHEL 4.6.
Comment 3 RHEL Product and Program Management 2007-05-09 04:23:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jeffrey Moyer 2007-07-12 18:39:21 EDT
Created attachment 159107 [details]
Updated patch

To be clear: autofs only ever logs messsages on startup and shutdown when
debugging is enabled.  This patch follows suit, only logging map re-read
information when the debug flag is specified.
Comment 10 errata-xmlrpc 2007-11-15 11:02:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0734.html

Note You need to log in before you can comment on or make changes to this bug.